Services
All operations require authentication.
List VAC resourcesProduction
Returns the list of VAC DDoS protection resources within the account. Every resource groups policies, profile and sensitivity with target IP address prefixes in order to tune detection and mitigation rules.
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time the resource was created
IAM resource metadata
Unique identifier of the resource
Name you chose for the resource
Current status of the resource. For a VAC resource this is only ever READY or DELETING.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDate and time the resource was last updated
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ networkDefense/ vac/ resource \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a VAC resourceProduction
Returns a VAC DDoS protection resource with its name, status and creation and update dates. The status is READY, or DELETING while the resource is being removed.
Path parameters
Resource name
Response
Date and time the resource was created
IAM resource metadata
Unique identifier of the resource
Name you chose for the resource
Current status of the resource. For a VAC resource this is only ever READY or DELETING.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDate and time the resource was last updated
Example uses resourceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ networkDefense/ vac/ resource/ {resourceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
Rename a VAC resourceProduction
Changes the name of a VAC DDoS protection resource. No other field can be updated through this call.
Path parameters
Resource name
Request body (required)
New name for the resource
Response
Date and time the resource was created
Unique identifier of the resource
Name you chose for the resource
Current status of the resource. For a VAC resource this is only ever READY or DELETING.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDate and time the resource was last updated
Example uses resourceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ networkDefense/ vac/ resource/ {resourceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}